Foreman - Bug #14041

VM provisioning : dropdown lists greyed out in new volume fields
03/03/2016 09:16 AM - Alexandre Barth

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Host creation
Target version: 1.10.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.0
Bugzilla link: 1319275 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3323
Description

When provisioning a new VMWare vm, in storage section when i want to add a second volume after the default one, Datastore

Cluster and Data Store drop-down lists can't be modified.

Related issues:

Related to Foreman - Feature #10641: Ability to search VmWare networks
Related to Foreman - Bug #13595: Storage domain dropdown menu doesn't work
Related to Foreman - Bug #12371: select2 not loading correctly on "Virtual Ma...

Blocks Foreman - Bug #14202: select2 missing from interface/NIC compute resou...

Closed 05/28/2015
Duplicate 02/08/2016
Closed 11/02/2015
Closed 03/15/2016

Associated revisions

Revision 26eeda80 - 03/22/2016 06:45 AM - Dominic Cleal

fixes #14041 - don't call select2 on CR form templates

select2 must be called only when the select becomes visible, not for
hidden template elements. add_child_node() already does when adding a
new set of fields from the template. without_select2 is removed from

all CR volume fields and a typo from ce59b508 fixed to ensure the first,
default volume initialises select2 when a CR is selected.

The interface_type_selected function is fixed to only call select2 on
its elements instead of the entire page, which also broke the volume
form templates if a NIC type was changed.

Revision b70d83c4 - 03/22/2016 01:23 PM - Dominic Cleal

fixes #14041 - don't call select2 on CR form templates

select2 must be called only when the select becomes visible, not for
hidden template elements. add_child_node() already does when adding a
new set of fields from the template. without_select2 is removed from

all CR volume fields and a typo from ce59b508 fixed to ensure the first,
default volume initialises select2 when a CR is selected.

The interface_type_selected function is fixed to only call select2 on
its elements instead of the entire page, which also broke the volume
form templates if a NIC type was changed.

(cherry picked from commit 26eeda8011cf1c16be9446625b201¢c36ebe70751)

Revision a576b23a - 03/30/2016 07:17 AM - Dominic Cleal

fixes #14041 - don't call select2 on CR form templates

select2 must be called only when the select becomes visible, not for
hidden template elements. add_child_node() already does when adding a
new set of fields from the template. without_select2 is removed from

all CR volume fields and a typo from ce59b508 fixed to ensure the first,
default volume initialises select2 when a CR is selected.
The interface_type_selected function is fixed to only call select2 on
its elements instead of the entire page, which also broke the volume
form templates if a NIC type was changed.

(cherry picked from commit 26eeda8011cf1c16be9446625b201c36ebe70751)

History

#1 - 03/03/2016 09:23 AM - Dominic Cleal
- Subject changed from VM provisioning : can't add volumes to VM provisioning : dropdown lists greyed out in new volume fields
- Category set to Host creation

- translation missing: en.field_release set to 71

#2 - 03/05/2016 06:55 AM - Timo Goebel

| also saw this on vanilla 1.10 without the datastore cluster patch. | think, this is related to select2. If you disable select2 in the developer console on
all select boxes everything works fine. Maybe someone with more Ul/jQuery experience than me can take a look.

#3 - 03/07/2016 03:46 AM - Dominic Cleal
- Related to Feature #10641: Ability to search VmWare networks added

#4 - 03/07/2016 03:46 AM - Dominic Cleal

- translation missing: en.field_release changed from 71 to 145

#5 - 03/09/2016 03:06 PM - David Rom
- Related to Bug #13595: Storage domain dropdown menu doesn't work added

#6 - 03/14/2016 11:45 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#7 - 03/14/2016 11:58 AM - Dominic Cleal

- Related to Bug #12371: select2 not loading correctly on "Virtual Machine" while creating new hosts added

#8 - 03/15/2016 04:58 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3323 added

#9 - 03/15/2016 08:04 AM - Dominic Cleal

- Blocks Bug #14202: select2 missing from interface/NIC compute resource dropdown menus added

#10 - 03/18/2016 12:38 PM - lvan Necas
- Bugzilla link set to 1319275

#11 - 03/22/2016 07:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 26eeda8011cfic16be9446625b201c36ebe70751.
